org.apache.maven.shared.repository

## Class RepositoryAssemblyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.shared.repository.RepositoryAssemblyException

All Implemented Interfaces:
  Serializable

    public class RepositoryAssemblyException
    extends Exception

Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RepositoryAssemblyException(String string)`
`RepositoryAssemblyException(String string, Throwable throwable)`
`RepositoryAssemblyException(Throwable throwable)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RepositoryAssemblyException

    public RepositoryAssemblyException(String string)

#### RepositoryAssemblyException

    public RepositoryAssemblyException(String string,
                                       Throwable throwable)

#### RepositoryAssemblyException

    public RepositoryAssemblyException(Throwable throwable)